/**********************************************************************
 *
 * recptconfig.h -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * A component of the Greenstone digital library software
 * from the New Zealand Digital Library Project at the
 * University of Waikato, New Zealand.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: recptconfig.h 1067 2000-04-04 15:02:39Z cs025 $
 *
 *********************************************************************/


#ifndef RECPTCONFIG_H
#define RECPTCONFIG_H


#include "gsdlconf.h"
#include "text_t.h"
#include "receptionist.h"
#include "collectset.h"


// reads site configuration file returning true on success
bool site_cfg_read (receptionist &recpt, text_t &gsdlhome, int &maxrequests);
bool site_cfg_read (text_t &gsdlhome);

// main_cfg_read reads either collect.cfg or main.cfg and returning 
// true on success. It attempts to read collect.cfg first if a
// collection is specified and then it tries to read in main.cfg
bool main_cfg_read (receptionist &recpt, const text_t &gsdlhome,
		    const text_t &collection);


#endif
